
From: Patrick Gefre <pfg@sgi.com>

skip init_platform_hubinfo() if on the simulator



---

 arch/ia64/sn/io/sn2/ml_SN_init.c |    6 +++++-
 1 files changed, 5 insertions(+), 1 deletion(-)

diff -puN arch/ia64/sn/io/sn2/ml_SN_init.c~altix-simulator-fix arch/ia64/sn/io/sn2/ml_SN_init.c
--- 25/arch/ia64/sn/io/sn2/ml_SN_init.c~altix-simulator-fix	2004-02-09 09:37:20.000000000 -0800
+++ 25-akpm/arch/ia64/sn/io/sn2/ml_SN_init.c	2004-02-09 09:37:20.000000000 -0800
@@ -17,6 +17,7 @@
 #include <asm/sn/sn_private.h>
 #include <asm/sn/klconfig.h>
 #include <asm/sn/sn_cpuid.h>
+#include <asm/sn/simulator.h>
 
 int		maxcpus;
 
@@ -69,12 +70,15 @@ void init_platform_nodepda(nodepda_t *np
 }
 
 void
-init_platform_hubinfo(nodepda_t **nodepdaindr) {
+init_platform_hubinfo(nodepda_t **nodepdaindr)
+{
 	cnodeid_t       cnode;
 	hubinfo_t hubinfo;
 	nodepda_t *npda;
 	extern int numionodes;
 
+	if (IS_RUNNING_ON_SIMULATOR())
+		return;
 	for (cnode = 0; cnode < numionodes; cnode++) {
 		npda = nodepdaindr[cnode];
 		hubinfo = (hubinfo_t)npda->pdinfo;

_
